GDB (xrefs)

Public Attributes | List of all members
static_tracepoint_marker Struct Reference

`#include "tracepoint.h"`

## Public Attributes
struct gdbarch * | gdbarch
CORE_ADDR | address
char * | str_id
char * | extra

## Detailed Description

Definition at line 215 of file tracepoint.h.

## Member Data Documentation

## ◆ address

CORE_ADDR static_tracepoint_marker::address

Definition at line 218 of file tracepoint.h.

Referenced by decode_static_tracepoint_spec(), parse_static_tracepoint_marker_definition(), and print_one_static_tracepoint_marker().

## ◆ extra

char* static_tracepoint_marker::extra

Definition at line 224 of file tracepoint.h.

Referenced by parse_static_tracepoint_marker_definition(), and print_one_static_tracepoint_marker().

## ◆ gdbarch

struct gdbarch* static_tracepoint_marker::gdbarch

Definition at line 217 of file tracepoint.h.

Referenced by create_breakpoint_sal(), parse_static_tracepoint_marker_definition(), and print_one_static_tracepoint_marker().

## ◆ str_id

char* static_tracepoint_marker::str_id

Definition at line 221 of file tracepoint.h.

Referenced by init_breakpoint_sal(), parse_static_tracepoint_marker_definition(), print_one_static_tracepoint_marker(), release_static_tracepoint_marker(), update_static_tracepoint(), and VEC().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracepoint.h